Package com.sas.lsaf.workflow.processdefinition

## Class ProcessDefinitionMappingMetadata

- java.lang.Object
- - com.sas.lsaf.workflow.processdefinition.ProcessDefinitionMappingMetadata

- All Implemented Interfaces:
    `java.io.Serializable`

      public class ProcessDefinitionMappingMetadata
      extends java.lang.Object
      implements java.io.Serializable

  The class that defines attributes that can be mapped to the different process flow definition element attributes for each element type. The attributes are based on the AutoFlowType. For example, if the AutoFlowType is TLF, the mapping attributes that are available for the User Task attribute Assignee are the TLF attributes with the same attribute type, such as User Assignment 1.
  Since:
    2.4
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ProcessDefinitionMappingMetadata​(AutoFlowType type, java.util.Map<Element.ElementType,​java.util.List<MappingAttributeMetadata>> mappingMetadata)` | It is not intended or recommended that the consumer of this API construct these objects.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `equals​(java.lang.Object obj)` |
    `java.util.Map<Element.ElementType,​java.util.List<MappingAttributeMetadata>>` | `getMappingMetadata()` | Gets the attributes that map to process flow definition element attributes.
    `AutoFlowType` | `getType()` | Gets the type of the source object from which a process flow can be automatically created.
    `int` | `hashCode()` |
    `java.lang.String` | `toString()` |

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ProcessDefinitionMappingMetadata

          public ProcessDefinitionMappingMetadata​(AutoFlowType type,
                                                  java.util.Map<Element.ElementType,​java.util.List<MappingAttributeMetadata>> mappingMetadata)

      It is not intended or recommended that the consumer of this API construct these objects. They should only deal with the mapping metadata returned by the API.
      Parameters:
        `type` - The type of the source object from which a process flow can be automatically created.
        `mappingMetadata` - The attributes that map to process flow definition element attributes.

  - ### Method Detail

    - #### getType

          public AutoFlowType getType()

      Gets the type of the source object from which a process flow can be automatically created.
      Returns:
        The type.

    - #### getMappingMetadata

          public java.util.Map<Element.ElementType,​java.util.List<MappingAttributeMetadata>> getMappingMetadata()

      Gets the attributes that map to process flow definition element attributes.
      Returns:
        The attributes.

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

    - #### equals

          public boolean equals​(java.lang.Object obj)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`